Package org.eclipse.birt.report.model.api.impl

# Class DesignEngineFactory

java.lang.Object
org.eclipse.birt.report.model.api.impl.DesignEngineFactory

All Implemented Interfaces:
  `IDesignEngineFactory`

public class DesignEngineFactory extends Object implements IDesignEngineFactory
Factory pattern to create an instance of Design Engine

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.model.api.IDesignEngineFactory

`EXTENSION_DESIGN_ENGINE_FACTORY`

## Constructor Summary

Constructors
Constructor
Description
`DesignEngineFactory()`

## Method Summary

Modifier and Type
Method
Description
`IDesignEngine`
`createDesignEngine(DesignConfig config)`
Creates a new design engine object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DesignEngineFactory

public DesignEngineFactory()

## Method Details

### createDesignEngine

public IDesignEngine createDesignEngine(DesignConfig config)
Description copied from interface: `IDesignEngineFactory`
Creates a new design engine object.

Specified by:
  `createDesignEngine` in interface `IDesignEngineFactory`
Parameters:
  `config` - the given design config
Returns:
  the design engine object